%define version 1.6.1
%define name enscript
%define prefix %{_prefix}
%define release 22.1mdk

%define build_7x 0

Name: %{name}
Summary: Converts plain ASCII to PostScript.
Release: %{release}
Version: %{version}
License: GPL
Group: Publishing
Source0: ftp://ftp.gnu.org/pub/gnu/enscript-%{version}.tar.gz
Source1: enscript-1.6.1-pofiles.tar.bz2
Patch0: enscript-1.6.1-config.patch.bz2
Patch1: enscript-1.6.1-mail.patch.bz2
Patch2: enscript-1.6.1-tmpfile.patch.bz2
URL: http://people.ssh.fi/mtr/genscript/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: flex gettext
Obsoletes: nenscript
Provides: nenscript
Prefix: %{_prefix}

%if %{build_7x}
%define _sysconfdir /etc
%endif

%description
GNU enscript is a free replacement for Adobe's Enscript program. Enscript
converts ASCII files to PostScript(TM) and spools generated PostScript
output to the specified printer or saves it to a file. Enscript can be
extended to handle different output media and includes many options for
customizing printouts.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .mail
%patch2 -p1 -b .tmpfile

%build
%configure --with-media=Letter

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/{de,es,fi,fr,nl,sl}/LC_MESSAGES
make DESTDIR=$RPM_BUILD_ROOT sysconfdir=%{_sysconfdir} install

mkdir -p $RPM_BUILD_ROOT/etc/%{name}
cp $RPM_BUILD_ROOT/%{_datadir}/%{name}/font.map $RPM_BUILD_ROOT/etc/%{name}/font.map
pushd $RPM_BUILD_ROOT/%{_datadir}/%{name}
ln -sf /etc/%{name}/font.map
popd

# install some languages catalogs by hand if needed
for i in %{SOURCE1} ; do
%if %{build_7x}
	tar yxvf $i
%else
	tar jxvf $i
%endif
done
for i in po/*.po ; do
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES
	msgfmt -o $RPM_BUILD_ROOT/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES/%{name}.mo $i
done

%find_lang %name

# XXX note doubled %% in sed script below.
(cd %{buildroot};find .%{_datadir}/enscript/*) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list

( cd %{buildroot}
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
)

cat %{name}.lang >> share.list

%clean
rm -rf %{buildroot}

%files -f share.list
%defattr(-, root, root)
%doc AUTHORS ChangeLog FAQ.html NEWS README README.ESCAPES THANKS TODO 
%config(noreplace) %{_sysconfdir}/enscript.cfg
%config(noreplace) %{_sysconfdir}/enscript/font.map
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Jan 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.6.1-22.1mdk
- security update for all distribs (use build_7x=1 if building for 7.1,
  7.2, or Corporate Server 1.0.1)

* Wed Jan 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.6.1-22mdk
- security fix for temporary files

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-21mdk
- fix source-or-patch-not-bzipped 
- fix strange-permission 

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-20mdk
- fix use-of-RPM_SOURCE_DIR 
- resync with RH package fixing RH Bugzilla bug #17750

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-19mdk
- add provides

* Sat Jul 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6.1-18mdk
- BuildRequires:	flex gettext
- Copyright -> License

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-17mdk
- rebuild

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-16mdk
- try to honour config files in /etc

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-15mdk
- licence: GNU -> GPL

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-14mdk
- automatically added packager tag

* Mon Aug 14 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.6.1-13mdk
- added Irish catalog

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-12mdk
- macros, cleanup
- make ewt's marking of /usr/share/enscript/font.map work (Perl rules)

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-11mdk
- new groups
- fixed non-existent URL

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
